CFG80211_TESTMODE_AL(9)

NAME
cfg80211_testmode_alloc_event_skb - allocate testmode event

SYNOPSIS

struct sk_buff * cfg80211_testmode_alloc_event_skb(struct wiphy * wiphy, int approxlen, gfp_t gfp);

ARGUMENTS

wiphy
    the wiphy

approxlen
    an upper bound of the length of the data that will be put into the skb

gfp
    allocation flags

DESCRIPTION

This function allocates and pre-fills an skb for an event on the testmode multicast group.

The returned skb is set up in the same way as with cfg80211_testmode_alloc_reply_skb but prepared for an event. As there, you should simply add data to it that will then end up in the NL80211_ATTR_TESTDATA attribute. Again, you must not modify the skb in any other way.

When done filling the skb, call cfg80211_testmode_event with the skb to send the event.

RETURN

An allocated and pre-filled skb. NULL if any errors happen.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT